/*
Theme Name: RBN
Description: Customized Hello Elementor Child Theme
Author: RBN
Version: 1.0.0
Requires at least: 6.0
Tested up to: 6.4
Requires PHP: 7.3
Template: hello-elementor
Text Domain: hello-elementor
*/

body {
	position: relative;
	min-height: 100vh;
	display: flex;
	flex-direction: column;
}

main#content, main#content > .page-content, main#content > .page-content > [data-elementor-type="wp-page"] {
	flex-grow: 1;
	display: flex;
	flex-direction: column;
}

.page-content > [data-elementor-type="wp-page"] > :last-child:not(#elementor-add-new-section, .earn-points-footer),
.page-content .elementor-element:has(+.elementor-element.earn-points-footer) {
	flex-grow: 1;
}

#site-header, #site-footer {
	background-color: #000;
	color: #fff;
	padding: 25px 4rem;
}

body[data-rbn-env="dev"] #site-header {
	background-color: #060;
}

body[data-rbn-env="staging"] #site-header {
	background-color: #066;
}

#site-header-content {
	height: 46px;
	margin: 0 auto;
	display: flex;
	align-items: center;
	justify-content: space-between;
	column-gap: 2rem;
}

header#site-header .site-branding {
	line-height: 0;
}

#site-header-content img {
	height: 50px;
	width: auto;
}

#site-header .site-navigation {
	justify-content: right;
	flex-wrap: wrap;
	list-style: none;
	padding: 0;
}

#site-header .site-navigation a {
	color: #fff;
	text-decoration: none;
	text-transform: uppercase;
}

#site-header .site-navigation a svg {
	height: 16px;
	width: auto;
	stroke: currentColor;
	fill: currentColor;
}

#site-footer {
	color: #999;
	background-color: #1c1f23;
	font-size: 14px;
	display: flex;
	align-items: center;
	justify-content: center;
	min-height: 70px;
}

#site-footer span + span:before {
	content: '|';
	margin: 0 0.25rem;
}

#site-footer a {
	color: inherit;
}

#site-footer a:before {
	content: '~';
	margin: 0 0.25rem;
	pointer-events: none;
}
.site-navigation li {
	list-style: none;
}
.hamburger {
	display:none;
}

.menu-item {
	position: relative;
	padding: .5em;
}

.menu-item a {
	padding: .5em;
	text-transform: uppercase;
}

li.menu-item:hover {
	background-color: #ffffff11;
}

.menu-item.current-page-ancestor.menu-item-has-children a:before {
	display: none;
}

@media only screen and (max-width:1150px) {
	#site-header, #site-footer {
		padding: 25px 1rem;
	}
}

@media only screen and (max-width: 910px) {
	#site-header .site-navigation {
		column-gap: 1.5rem;
	}
}

@media only screen and (max-width: 810px) {
	#site-header .site-navigation {
		column-gap: 1.25rem;
	}
}

@media only screen and (min-width: 768px) and (max-width: 910px) {
	body[data-rbn-role]:not([data-rbn-role=""]) #site-header .site-navigation li:first-child {
		display: none;
	}
}

@media only screen and (min-width: 768px) {
	.sub-menu {
		display: none;
		padding: 0;
		flex-direction: column;
		position: absolute;
		top: 100%;
		right: -1em;
		background-color: #000;
		box-shadow: 0 0 7px #ffffffA0;
		z-index: 1000;
	}

	.menu-item:hover .sub-menu {
		display: flex;
	}

	.sub-menu li {
		padding: 0;
	}

	.sub-menu li a {
		display: block;
		white-space: nowrap;
		padding: .5em 1em;
	}

	.sub-menu li:hover {
		background-color: #ffffff11;
	}
}

@media only screen and (max-width:767px) {
	/* should be removed */
	footer#site-footer {
		justify-content: center;
		height: auto;
		padding: 16px;
		font-size: 14px;
		flex-wrap: wrap;
	}

	footer#site-footer span {
		text-align: center;
		padding: 0;
		font-size: 14px !important;
		display: block;
	}

	footer#site-footer span:nth-child(1) {
		width: 100%;
	}

	.site-navigation {
		position: absolute;
		display: flex;
		flex-direction: column;
		left: auto;
		right: 16px;
		z-index: 9;
		top: 70px;
		background-color: #000;
		box-shadow: 0 0 20px #ffffffA0;
	}

	.site-navigation li {
		width: 100%;
		display: inline-block;
	}

	body {
		padding-top: 78px;
	}

	header#site-header {
		padding: 0 16px;
		position: fixed;
		z-index: 1000;
		top: 0;
		left: 0;
		width: 100vw;
	}

	#wpadminbar {
		position: absolute;
		top: 32px;
		z-index: 999;
	}

	header#site-header #site-header-content {
		height: 78px;
	}

	#site-header .site-navigation li {
		font-size: 7vw;
		font-weight: 500;
		white-space: nowrap;
		border-bottom: 1px solid #ffffff55;
	}

	#site-header .site-navigation li:has(.sub-menu) {
		padding-bottom: 0;
	}

	#site-header .site-navigation li:last-child {
		border-bottom: none;
	}

	.hamburger {
		width: 50px;
		height: 30px;
		position: absolute;
		right: 20px;
		top: 0;
		bottom: 0;
		margin: auto;
		display:block;
	}

	.hamburger svg {
		width: 100%;
		height: 100%;
	}

	.site-navigation {
		display: block;
		transform: translateX(calc(100% + 36px));
		transition: all 0.25s;
	}

	.site-navigation.active {
		transform: translateX(0);
	}

	.sub-menu {
		padding: 0;
		display: flex;
		flex-direction: column;
		margin-top: .5em;
	}

	.sub-menu li {
		border-top: 1px solid #ffffff55;
	}

	#site-header .site-navigation .sub-menu li {
		border-bottom: none;
	}
}

.menu-item a {
	position: relative;
}

body header .hfe-nav-menu {
	transition: opacity 0.25s ease-in-out;
}
body:not([data-rbn-role]) header .hfe-nav-menu {
	opacity: 0;
}

body:not([data-rbn-role]) .menu-item:has(a[href*="/dashboard"]),
body[data-rbn-role=""] .menu-item:has(a[href*="/dashboard"]),
body[data-rbn-role="anonymous"] .menu-item:has(a[href*="/dashboard"]),
body:not([data-rbn-role]) .menu-item:has(a[href*="/logout"]),
body[data-rbn-role=""] .menu-item:has(a[href*="/logout"]),
body[data-rbn-role="anonymous"] .menu-item:has(a[href*="/logout"]) {
	display: none;
}

footer .menu-item:has(a[href*="/dashboard"]),
footer .menu-item:has(a[href*="/logout"]),
footer .menu-item:has(a[href*="/login"]) {
	display: none;
}

body[data-rbn-role="consumer"] .menu-item:has(a[href$=".com/"]),
body[data-rbn-role="consumer"] .menu-item:has(a[href*="/login"]),
body[data-rbn-role="consumer"] .menu-item:has(a[href*="/apply-now"]),
body[data-rbn-role="consumer"] .menu-item:has(a[href*=".com/contact-us"]),
body[data-rbn-role="consumer"] .menu-item:has(a[href*="/new-rewards-page"]),
body[data-rbn-role="consumer"] .menu-item:has(a[href*=".com/rewards"]),
body[data-rbn-role="consumer"]:not([data-rbn-has-selected-agents]) .menu-item:has(a[href*="/dashboard/member/selected-agents"]),
body[data-rbn-role="consumer"] .menu-item:has(a[href*="/dashboard/agent"]) {
	display: none;
}

body[data-rbn-role="agent"] .menu-item:has(a[href*="/login"]),
body[data-rbn-role="agent"] .menu-item:has(a[href*="/apply-now"]),
body[data-rbn-role="agent"] .menu-item:has(a[href*="/dashboard/member"]) {
	display: none;
}

body:not([data-rbn-role="anonymous"]) footer .elementor-icon-list-item:has(a[href*="/sign-up"]) {
	display: none;
}

#page footer .hfe-nav-menu nav .hfe-nav-menu li.menu-item {
	color: #fff;
}
#page footer .hfe-nav-menu nav .hfe-nav-menu li.menu-item a.hfe-menu-item {
	transition: color 0.3s;
}
#page footer .hfe-nav-menu nav .hfe-nav-menu li.menu-item:hover {
	color: var( --e-global-color-f9e8a80 );
}

@keyframes alert {
	0% {
		transform: scale(1);
	}
	50% {
		transform: scale(1.5);
	}
	100% {
		transform: scale(1);
	}
}

.menu-item a::after {
	position: absolute;
	top: 2px;
	right: -5px;
	font-size: 10px;
	font-weight: bold;
	color: #fff;
	background-color: #600;
	border-radius: 50%;
	width: 14px;
	height: 14px;
	display: flex;
	justify-content: center;
	align-items: center;
	animation: alert 500ms;
}

/*.menu-item a[href$="/dashboard/member/get-started/"]::after {*/
/*	content: '!';*/
/*	display: flex;*/
/*	justify-content: center;*/
/*	align-items: center;*/
/*}*/

.menu-item a[href$="/alerts/"]::after {
	content: var(--rbn-alert-count);
}

body main#content .page-content button[disabled="disabled"] {
	pointer-events: none;
	background-color: #999;
	border-color: #999;
}



.nw_pg_menu li:has(a[href*="/login"]) {
	position: relative;
}

.nw_pg_menu li:last-child a[href*="/login"] {
	position: relative;
	z-index: 1;
	padding-left: 22px !important;
}
.nw_pg_menu li:last-child a:not([href*="/login"]) {
	padding-left: 34px !important;
}

.nw_pg_menu li:last-child a[href*="/login"]:before {
	content: "";
	position: absolute;
	background-image: url(https://staging.rbnrewards.com/wp-content/uploads/2025/04/user.png);
	background-repeat: no-repeat;
	background-size: contain;
	width: 17px;
	height: 17px;
	left: 0px;
	opacity: 1 !important;
	background-color: transparent !important;
}
.nw_pg_menu li:last-child a:not([href*="/login"]):before {
	display: none;
}